PPl board member tasks - Task #121

Report for an european website
04/01/2012 12:11 PM - Lola Voronina

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Thomas Gaul % Done:
Category: Estimated time:
Target version:

03/27/2012
04/10/2012
0%

0.00 hour

Description
Thomas to reply "report for an european website"

History

#1 - 04/01/2012 12:11 PM - Lola Voronina
- Due date changed from 05/10/2012 to 04/10/2012

#2 - 05/01/2012 12:49 PM - Lola Voronina

- Status changed from New to Closed

10/19/2025
